# Generated from treequel-shell-1.10.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name treequel-shell

Name: rubygem-%{gem_name}
Version: 1.10.0
Release: 1%{?dist}
Summary: Treequel-Shell is a collection of LDAP tools based on the Treequel LDAP toolkit
License: BSD
URL: https://bitbucket.org/ged/Treequel-Shell
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(hoe-mercurial) >= 1.4.0
# BuildRequires: rubygem(hoe-mercurial) < 1.5
# BuildRequires: rubygem(hoe-highline) >= 0.1.0
# BuildRequires: rubygem(hoe-highline) < 0.2
# BuildRequires: rubygem(hoe) >= 3.0
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
Treequel-Shell is a collection of LDAP tools based on the Treequel LDAP
toolkit.
It includes:
treequel :: an LDAP shell/editor; treat your LDAP directory like a filesystem!
treewhat :: an LDAP schema explorer. Dump objectClasses and attribute type
info
in several convenient formats.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/treeirb
%{_bindir}/treequel
%{_bindir}/treewhat
%{gem_instdir}/Manifest.txt
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile

%changelog
* Thu Sep 16 2021 mockbuilder - 1.10.0-1
- Initial package
